WLAN_TKIP(4)

NAME
wlan_tkip - TKIP and Michael crypto support for 802.11 devices

SYNOPSIS
device wlan_tkip

DESCRIPTION
The wlan_tkip module handles the TKIP and Michael cryptographic requirements of the WPA and 802.11i protocols. It does encapsulation and decapsulation of TKIP-encoded 802.11 frames and optionally calculates the TKIP cipher and Michael MIC. The wlan_tkip module is an 802.11 cryptographic plugin module for use by the wlan(4) module. This module is automatically loaded if a TKIP key is configured; typically by a WPA supplicant program such as wpa_supplicant, or a WPA authenticator program such as hostapd. Should the underlying network device not be capable of doing the TKIP and/or Michael calculations in hardware, the wlan_tkip module will do the work.

SEE ALSO
wlan(4), wlan_ccmp(4), wlan_wep(4)

STANDARDS
More information can be found in the IEEE 802.11, WPA, and 802.11i Standards.

HISTORY
The wlan_tkip driver first appeared in FreeBSD 6.0.